| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
CombinePixelsOptions Interface Reference
PDFViewCtrl » overlayComparison

Options to handle pixel-diff and combine-pixels algorithms. More...

## Public Attributes
number | backgroundColor
| Image background color, default is white (0xFFFFFFFF), used to identify the background. More...
BlendColorResolver | blendColorResolver
| Custom blending color algorithm. More...
boolean | showDiffColor
| Controls whether the generated results show the difference color after comparison. More...
DiffColor | sourceDiffColor
| The `sourceDiffColor` is used to highlight the differing pixels in the source image, with the default value being DiffColor.BLUE. More...
number | sourceOpacity
| Specifies the transparency of the source image, the value is between 0 and 255 (inclusive), and the default value is 255. More...
DiffColor | targetDiffColor
| The `targetDiffColor` is used to highlight the differing pixels in the target image, with the default value being DiffColor.RED. More...
number | targetOpacity
| Specifies the transparency of the target image, the value is between 0 and 255 (inclusive), and the default value is 255. More...

## Detailed Description

Options to handle pixel-diff and combine-pixels algorithms.

Since
  9.0.0

## Member Data Documentation

## ◆ backgroundColor

number CombinePixelsOptions::backgroundColor

Image background color, default is white (0xFFFFFFFF), used to identify the background.

Since
  9.0.0

## ◆ blendColorResolver

BlendColorResolver CombinePixelsOptions::blendColorResolver

Custom blending color algorithm.

Since
  9.0.0

## ◆ showDiffColor

boolean CombinePixelsOptions::showDiffColor

Controls whether the generated results show the difference color after comparison.

Since
  9.0.0

## ◆ sourceDiffColor

DiffColor CombinePixelsOptions::sourceDiffColor

The `sourceDiffColor` is used to highlight the differing pixels in the source image, with the default value being DiffColor.BLUE.

Since
  9.0.0

## ◆ sourceOpacity

number CombinePixelsOptions::sourceOpacity

Specifies the transparency of the source image, the value is between 0 and 255 (inclusive), and the default value is 255.

Since
  9.0.0

## ◆ targetDiffColor

DiffColor CombinePixelsOptions::targetDiffColor

The `targetDiffColor` is used to highlight the differing pixels in the target image, with the default value being DiffColor.RED.

Since
  9.0.0

## ◆ targetOpacity

number CombinePixelsOptions::targetOpacity

Specifies the transparency of the target image, the value is between 0 and 255 (inclusive), and the default value is 255.

Since
  9.0.0

@2025 Foxit Software Incorporated. All rights reserved.